# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .service_bus_message_py3 import ServiceBusMessage


class ServiceBusTopicMessage(ServiceBusMessage):
    """ServiceBusTopicMessage.

    :param authentication: Gets or sets the Service Bus authentication.
    :type authentication:
     ~azure.mgmt.scheduler.models.ServiceBusAuthentication
    :param brokered_message_properties: Gets or sets the brokered message
     properties.
    :type brokered_message_properties:
     ~azure.mgmt.scheduler.models.ServiceBusBrokeredMessageProperties
    :param custom_message_properties: Gets or sets the custom message
     properties.
    :type custom_message_properties: dict[str, str]
    :param message: Gets or sets the message.
    :type message: str
    :param namespace: Gets or sets the namespace.
    :type namespace: str
    :param transport_type: Gets or sets the transport type. Possible values
     include: 'NotSpecified', 'NetMessaging', 'AMQP'
    :type transport_type: str or
     ~azure.mgmt.scheduler.models.ServiceBusTransportType
    :param topic_path: Gets or sets the topic path.
    :type topic_path: str
    """

    _attribute_map = {
        'authentication': {'key': 'authentication', 'type': 'ServiceBusAuthentication'},
        'brokered_message_properties': {'key': 'brokeredMessageProperties', 'type': 'ServiceBusBrokeredMessageProperties'},
        'custom_message_properties': {'key': 'customMessageProperties', 'type': '{str}'},
        'message': {'key': 'message', 'type': 'str'},
        'namespace': {'key': 'namespace', 'type': 'str'},
        'transport_type': {'key': 'transportType', 'type': 'ServiceBusTransportType'},
        'topic_path': {'key': 'topicPath', 'type': 'str'},
    }

    def __init__(self, *, authentication=None, brokered_message_properties=None, custom_message_properties=None, message: str=None, namespace: str=None, transport_type=None, topic_path: str=None, **kwargs) -> None:
        super(ServiceBusTopicMessage, self).__init__(authentication=authentication, brokered_message_properties=brokered_message_properties, custom_message_properties=custom_message_properties, message=message, namespace=namespace, transport_type=transport_type, **kwargs)
        self.topic_path = topic_path
